<?php

namespace Drupal\revision_menu_trail;

use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Drupal\Core\DependencyInjection\ContainerBuilder;

/**
 * Overrides the class for the menu active trail.
 */
class RevisionMenuTrailServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container): void {
    $definition = $container->getDefinition('menu.active_trail');
    $definition->setClass('Drupal\revision_menu_trail\RevisionMenuTrail');
  }

}
