# Revision Menu Trail

Revision Menu Trail sets the active-trail on menu items according to the current revision when viewing entity revisions, including the latest revision tab provided by the content moderation module. This allows editors to gain a better preview of their latest revision as menu blocks can be presented alongside the revision.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/revision_menu_trail).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/revision_menu_trail).


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

No configuration is provided. Enabling the module will override the `menu.active_trail` service with this modules service.

## Maintainers

- Eric Smith - [ericgsmith](https://www.drupal.org/u/ericgsmith)